@charset "UTF-8";

@import url("https://fonts.googleapis.com/css?family=Roboto+Mono:300|Roboto:300,300i,500,500i");

/*
 =====================================================

   _____                                _    _ _  __
  / ____|                              | |  | | |/ /
 | (___  _ __   ___  _ __   __ _  ___  | |  | | ' /
  \___ \| '_ \ / _ \| '_ \ / _` |/ _ \ | |  | |  <
  ____) | |_) | (_) | | | | (_| |  __/ | |__| | . \
 |_____/| .__/ \___/|_| |_|\__, |\___|  \____/|_|\_\
        | |                 __/ |
        |_|                |___/

=====================================================
 SPONGE UK DEVELOPER TEST
 Main CSS
=====================================================
*/

/* ----------- MIN SCREEN SIZE BEFORE FONT INCREASE ------------ */

$min-size: 500px;
$min-size-increase: 125%;
 
/* ----------- COLOR PALETTE ------------ */

$red: #F9423A;
$pink: #FC6E8D;
$white: #FFF;
$black: #000000;
$light-grey: #F2F2F2;
$medium-grey:#D4D4D4;
$grey: #7E7772;
$yellow: #FFB400;
$dark-blue:#212D35;

/* ----------- MAIN DOC ------------ */

body {
  min-width: 320px;
  font-family: "Roboto", serif;
  color: #212D35;
  font-weight: 300;

  /* -- Task 12 -- */
  @media screen and (max-width: $min-size) {
    font-size:$min-size-increase;
  }
}

#header-wrapper {
  position: relative;
  background:$red;
  z-index: 2;
}

#header {
  padding-top: 60px;
  padding-bottom: 45px;
  color: $white;
  img {
    margin-right: auto;
    margin-bottom: 30px;
    margin-left: auto;
    display: block;
  }
  h1 {
    color: $white;
    + p {
      font-size: 1.8em;
    }
  }
}

#content {
  padding-top: 30px;
  padding-bottom: 30px;
  font-family: "Arial", serif;
  img {
    width: 100%;
  }
}

#tasks {
  padding-top: 30px;
  padding-right: 20px;
  padding-bottom: 50px;
  padding-left: 20px;
  position: relative;
  background-color: $light-grey;
  counter-reset: tasks;
  z-index: 1;
  article {
    counter-increment: tasks;
    h5 {
      color: $red;
      &::before {
        min-width: 0.75em;
        padding-right: 0.5em;
        display: inline-block;
        color: $dark-blue;
        font-weight: 300;
        vertical-align: text-bottom;
        content: counter(tasks) ".";
      }
      .difficulty {
        margin-left: 1.5em;
        display: inline-block;
        float: right;
        color: $yellow;
        font-size: 0.8em;
        white-space: nowrap;
        .fa {
          margin-left: 0.1em;
        }
        .fa-star-o {
          color: $grey;
        }
      }
    }
  }
}

.menu {
  position: relative;
}

ul.tabs li a {
  color: $black;
  &.active-tab {
    color: $red;
  }
}

#photo, #links {
  display: none;
}

.about-photo {
  width: 100%;
  height: 100%;
}

li.about-link-item {
  padding-bottom: 25px;
}

a.about-link-title {
  font-weight: 500;
  color: $red;
}

#footer-wrapper {
  padding-top: 30px;
  padding-bottom: 10px;
  position: relative;
  color: $white;
  background-color: $dark-blue;
  z-index: 2;
}

#footer a {
  color: inherit;
}

h1, h2, h3, h4, h5, h6 {
  font-weight: 300;
}

h2, h3, h4, h5, h6 {
  color: $red;
}

p, ul, ol {
  font-size: 1.5em;
}

p code, li code {
  padding-right: 0.2em;
  padding-left: 0.2em;
  line-height: 1.35;
  vertical-align: baseline;
  font-size: 0.9em;
  background-color: $medium-grey;
  outline: none;
}

code, pre {
  font-family: "Roboto Mono", monospace;
  font-weight: 300;
}

strong {
  font-weight: 500;
}

/**
 * Styles to make the boxes actually visible to start
 */

#boxes {
  padding: 40px;
  
  display: flex;
  align-items: center;
  -webkit-box-orient: horizontal;
  -moz-box-orient: horizontal;
  box-orient: horizontal;
  justify-content: space-between;

}

#box-left, #box-right {
  display:flex;
  font-size: 1.5em;
  font-family: "Roboto", serif;
  font-weight:300;
  text-align: center;

  color:$light-grey;
  position:relative;
}

#box-left{
  height:50px;
  min-width:210px;
  max-width:50%;
  float:left;

  order:1;
}

#box-right{

  flex: 0 0 50%;
  align-self: flex-end;
  width: 50%;
  padding-top: 45%;

  order:2;
}

#box-right:before{
  content:"Right";
  text-align: center;
  
  position:absolute;
  margin:auto;
  top:50%;
  left:0;
  right:0;
  bottom:0;
  line-height: 0px;
}

#box-left:before{
  content:"Left";
  position:absolute;
  margin:auto;
  top:50%;
  left:0;
  right:0;
  bottom:0;
  line-height: 0px;
}

